## org.eclipse.amp.escape.amf.ide
Class ExecuteParameterHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler
                      org.eclipse.amp.escape.amf.ide.ExecuteParameterHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  ExecuteParameterHeadlessHandler

    public class ExecuteParameterHandler

extends ExecuteHandler

The Class ExecuteParameterHandler.

Constructor Summary
`ExecuteParameterHandler()` Instantiates a new execute parameter handler.
`ExecuteParameterHandler(boolean headless)` Instantiates a new execute parameter handler.

Method Summary
`AParInterpreter` `getInterpreter()`
`SContext` `getModel()`
`void` `setInterpreter(AParInterpreter interpreter)`

Methods inherited from class org.eclipse.amp.escape.command.ExecuteHandler
`execute, isHeadless, setEnabled, setHeadless`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteParameterHandler

    public ExecuteParameterHandler(boolean headless)

  Instantiates a new execute parameter handler.

  Parameters:
    `headless` - the headless

### ExecuteParameterHandler

    public ExecuteParameterHandler()

  Instantiates a new execute parameter handler.

Method Detail

### setInterpreter

    public void setInterpreter(AParInterpreter interpreter)

### getInterpreter

    public AParInterpreter getInterpreter()

### getModel

    public SContext getModel()

  Returns:
    the model